## class Fl_Secret_Input

### Class Hierarchy

    Fl_Input
       |
       +----Fl_Secret_Input

### Include Files

    #include <FL/Fl_Secret_Input.H>

### Description

The `Fl_Secret_Input` class is a subclass of `Fl_Input` that displays its input as a string of asterisks. This subclass is usually used to receive passwords and other "secret" information.

### Methods

- Fl_Secret_Input
- ~Fl_Secret_Input

#### Fl_Secret_Input::Fl_Secret_Input(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Secret_Input` widget using the given position, size, and label string. The default boxtype is `FL_DOWN_BOX` .

#### virtual Fl_Secret_Input::~Fl_Secret_Input()

Destroys the widget and any value associated with it.